Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class AbstractToOneMapper.EntityInfo

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper.EntityInfo

Enclosing class:
  AbstractToOneMapper

    protected class AbstractToOneMapper.EntityInfo

extends Object

Simple descriptor of an entity.

Constructor Summary
`AbstractToOneMapper.EntityInfo(Class entityClass, String entityName, boolean audited)`

Method Summary
`Class` | `getEntityClass()`
`String` | `getEntityName()`
`boolean` | `isAudited()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractToOneMapper.EntityInfo

    public AbstractToOneMapper.EntityInfo(Class entityClass,
                                          String entityName,
                                          boolean audited)

Method Detail

### getEntityClass

    public Class getEntityClass()

### getEntityName

    public String getEntityName()

### isAudited

    public boolean isAudited()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.